import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickAppleStore, userClickGooglePlayStore, userClickRegistration } from '../util/gtm/tags-collection';

const userClickedAppleAppStoreBadge = () => {
  $('#w-node-_034341f9-033d-0386-9521-bf40c762bb42-17a6b05e > a:nth-child(1)').click(function () {
    pushTagToGTM({ ...userClickAppleStore });
  });
};

const userClickedGooglePlayStoreBadge = () => {
  $('#w-node-_034341f9-033d-0386-9521-bf40c762bb42-17a6b05e > a:nth-child(2)').click(function () {
    pushTagToGTM({ ...userClickGooglePlayStore });
  });
};

/**
 * app stores badges custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const appStoresBadges = (() => ({
  init: function () {
    userClickedAppleAppStoreBadge();
    userClickedGooglePlayStoreBadge();
  }
}))();
